From 7ef0c3b0d7e234d99c31cff4d6d8cda0de6acd3a Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date: Oct 15 2020 21:21:18 +0000
Subject: [PATCH 5/6] reorganize storage folder to simplify handling


---

diff --git a/.gitignore b/.gitignore
index 0695f40..879f658 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,6 +1,4 @@
 venv/
-rpms/
 srpms/
 results/
 srpms_*.lst
-tm/
diff --git a/build.py b/build.py
index 1a228ce..71ec3af 100755
--- a/build.py
+++ b/build.py
@@ -41,8 +41,8 @@ def main():
         srpm_regex = re.compile("^{}$".format(args.filter))
 
     (distname, distrel, distid) = distro.linux_distribution()
-    result_folder = "./results/f{v}/".format(v=distrel)
-    tm_folder = "./tm/f{v}/packages/".format(v=distrel)
+    result_folder = "./results/f{v}/stats/".format(v=distrel)
+    tm_folder = "./results/f{v}/packages/".format(v=distrel)
     srpms_path = "/srpms"
 
     if not os.path.exists(result_folder):
@@ -51,7 +51,7 @@ def main():
         os.makedirs(tm_folder)
 
     processing_file = os.path.join(result_folder, "data.json")
-    srpm_list_file = os.path.join(result_folder, "srpm.txt")
+    srpm_list_file = os.path.join(srpms_path, "srpm.txt")
     url_list = None
 
     if os.path.isfile(srpm_list_file):
@@ -190,9 +190,13 @@ def discover_translations(tmp, name, result_folder, tm_folder):
     tcopy = time.time()
 
     if translation_files:
+        if not os.path.exists(os.path.join(tm_folder, name)):
+            os.makedirs(os.path.join(tm_folder, name))
+
+        with open(os.path.join(tm_folder, name, "discover.json"), 'w') as f:
+            f.write(json.dumps(translation_files, indent=2))
+
         for translation in translation_files:
-            # TODO: multiple translation files for same package
-            # gnome-clocks-3.32.0-1.fc30.src.rpm
             if translation["file_format"] == "po":
                 get_po_translation_level(
                     tmp, translation, name, result_folder, tm_folder)

